Wind River Support Network

HomeDefectsLIN5-7863
Fixed

LIN5-7863 : GPIO does not work with 5.0.1.6 and patchset on Avoton

Created: Sep 6, 2013    Updated: Dec 19, 2017
Resolved Date: Oct 10, 2013
Found In Version: 5.0.1
Fix Version: 5.0.1.8
Severity: Severe
Applicable for: Wind River Linux 5
Component/s: BSP

Description

I'm unable to get any GPIO to work on any Avoton-based platform, including Mohon Peak, with the patches provided and applied to a 5.0.1.6 kernel.

I see the following in dmesg:
(one message per GPIO)
gpio_request: gpio-52 (sysfs) status -22
export_store: status -22

the test_avn_gpio.sh script returns the following:
testing GPIO pin 58 ...
/usr/bin/test_avn_gpio.sh: line 6: echo: write error: Invalid argument

Steps to Reproduce

run the provided test script

Other Downloads


Live chat
Online